function texte = main(imgIn)
%COLOREDCAPTCHA Try to deal with captchas having a colored background which
%color is different of the letters' one. (not a success)

    r = size(imgIn,1) ;
    c = size(imgIn,2) ;
    %imgIn = xyz2lab(rgb2xyz(imgIn)) ;
    
    addPath('..\superocr') ;
    g = gradient(imgIn) ;
    ker1 = [1 1 1 ; 1 1 1 ; 1 1 1] ;
    ker2 = [0 1 0 ; 1 1 1 ; 0 1 0] ;
    ker3 = [0 1 1 1 0 ; 1 1 1 1 1 ; 1 1 1 1 1 ; 1 1 1 1 1 ; 0 1 1 1 0] ;
    
    cl = imclose(g,ker1) ;
    pixels = cl.*~g ;
    texte = '' ;
    
    [X,Y] = find(pixels == 1) ;
    while size(X,1)>0
        letters = double((imgIn(:,:,1)-imgIn(X(1),Y(1),1)).^2 + (imgIn(:,:,2)-imgIn(X(1),Y(1),2)).^2 + (imgIn(:,:,2)-imgIn(X(1),Y(1),2)).^2 < 400) ;
        %figure ; imshow(uint8(letters*255)) ;
        if sum(sum(letters))>r*c/100
            letters = imclose(letters,ker1) ;
            letters = imopen(letters,ker2) ;
            %figure ; imshow(uint8(letters*255)) ;
            liste = separate(letters) ;
            if size(liste,3) == 6
                texte = '' ;
                for i=1:6
                    %figure ; imshow(uint8(liste(:,:,i)*255)) ;
                    texte = [texte,testCara(liste(:,:,i))] ;
                end
                figure ; imshow(uint8(letters*255)) ;
                if size(texte,2) == 6
                    break ;
                end
            end
        end
        pixels = ~letters.*pixels ;
        pixels(X(1),Y(1)) = 0 ;
        [X,Y] = find(pixels == 1) ;
    end
end
