function[result] = saveLabels(img)

numOfLabels = max(max(img));

for i=1:numOfLabels
    tempImg = img == i;
    
    min_x = size(img,1);    
    min_y = size(img,2);
    max_x = 0;
    max_y = 0;
    
    for x=1:size(img,1)
        for y=1:size(img,2)        
            if tempImg(x,y) == 1
                if (x < min_x)
                    min_x = x;
                end;
                if (x > max_x)
                    max_x = x;
                end;
                if (y < min_y)
                    min_y = y;
                end;
                if (y > max_y)
                    max_y = y;
                end;
            end;
        end;
    end;
    tempImg = tempImg(min_x:max_x, min_y:max_y);
    %figure;
    %imshow(tempImg);
%    imwrite(tempImg,'img01.pbm','pbm');
    imwrite(tempImg,[['img','0'+i],'.pbm'],'pbm');
end;