function imgSet = separate(imgIn)
%SEPARATE separate a picture vertically using full black vertical lines.
    histog = sum(imgIn) ;
    s = size(histog,2) ;
    label = 0 ;
    precState = 0 ;
    imgTmp = imgIn ;
    for i=1:s
        if histog(i) > 0 
            if precState == 0 
                label = label + 1 ;
            end
            imgTmp(:,i) = imgTmp(:,i)*label ;            
        end
        precState = histog(i) ;
    end
    
    
    nbLetters = max(max(imgTmp)) ;
    
    if nbLetters == 0
        imgSet = 0 ;
        return
    end 
    
    imgSet = imgTmp == 1 ;
    for i=2:nbLetters
       imgSet(:,:,i) = imgTmp == i ; 
    end
end