function carac = cutcut(img)
%CUTCUT take a picture of a texte and cut it in a liste of characteres.
%All these characteres ar resize to fit a 65*65 square.
    SIZE_CARAC = 65 ;
    
    img = (img(:,:,1) < 200) ;
    r = size(img,1) ;
    c = size(img,2) ;
    
    histV = sum(img,2) ;
    
    S = 0 ;
    charaLines = find(histV > 0) ;
    emptyLines = find(histV == 0) ;
    carac = zeros(SIZE_CARAC,SIZE_CARAC) ;
    while 1
        nextLine = find(charaLines>S) ;
        if size(nextLine,1) == 0
            break ;
        end
        N = charaLines(nextLine(1)) ;
        %img(NW(1),:) = 1 ;

        nextLine = find(emptyLines>=N) ;
        S = emptyLines(nextLine(1))-1 ;
        %img(SE(1),:) = 1 ;
        %figure ; imshow(uint8(img*255)) ;

        line = img(N:S,1:end) ;        
        %figure ; imshow(uint8(line*255)) ;
        
        histH = sum(line,1) ;
        
        E = 0 ;
        charaCol = find(histH > 0) ;
        emptyCol = find(histH == 0) ;
        
        while 1
            nextCol = find(charaCol>E) ;
            if size(nextCol,2) == 0
                break ;
            end
            W = charaCol(nextCol(1)) ;
            nextCol = find(emptyCol>=W) ;
            E = emptyCol(nextCol(1))-1 ;
            col = line(1:end,W:E) ;
            col = redim(col,SIZE_CARAC) ;
            carac(:,:,end+1) = col ;
        end        
    end
    carac = carac(:,:,2:end) ;
end

function imgOut = redim(imgIn,sizeC) 
    histV = sum(imgIn,2) ;
    
    lines = find(histV > 0) ;
    imgTmp = imgIn(lines(1):lines(end),1:end) ;
    imgOut = imresize(imgTmp,[sizeC,sizeC]) ;
end